<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for cbsplit.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
cbsplit - split Fortran common blocks

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>cbsplit</B> <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>cbsplit</I> program splits up Fortran common blocks into
pieces that are as small as possible, given the reshaping
in the program. This can in many cases lead to common
blocks which consist of only one field, in which case a
single global variable of the appropriate type can be
used. The idea is that some interprocedural analysis that
deals only with var_syms and can't handle the offsets and
overlapping of a common block will be able to do more
because more things will be in their own var_syms.
<P>
Note that to be correct, this pass must know how all the
functions in the entire program use their common blocks
before it can split anything. Hence if the program is in
multiple files, the files must be linked before this pass
is run and this pass should be run on all simultaneously.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-assume-no-reshape-communication</B><BR>

Assume that if there is any reshaping of common
blocks, either through equivalences or different
shapes in different procedures, that there is no
communication from one shape to another. That is,
assume it is safe to make different shapes not
overlap one another at all. With this assumption,
every field of every common block is made into its
own independent global variable unless there is
some initialization data for the common block. If
the common block has initialization data, it is
handled as if this flag weren't used.

<H2><A NAME="sect4" HREF="#toc4"><B>See</B> <B>Also</B></A></H2>

<P>
<A HREF="man_sf2c.1.html">sf2c(1)</A>
, <A HREF="man_fixfortran.1.html">fixfortran(1)</A>
, <A HREF="man_suif.1.html">suif(1)</A>


<H2><A NAME="sect5" HREF="#toc5"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">See Also</A></LI>
<LI><A NAME="toc5" HREF="#sect5">History</A></LI>
</UL>
</BODY></HTML>
